com.genesyslab.wfm8.API.service.calendar851

## Class CalUpdatedSnapshot

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar851.CalUpdatedSnapshot

- All Implemented Interfaces:
    java.io.Serializable

      public class CalUpdatedSnapshot
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `errorArraySize` Error array size
    `protected java.util.List<CalItemError>` | `errors` Errors array
    `protected int` | `indexArraySize` Index array size
    `protected java.util.List<java.lang.Integer>` | `indexes` Indexes array of new/changed Calendar items in the snapshot
    `private static long` | `serialVersionUID`
    `protected java.lang.String` | `snapshotId` Snapshot ID
    `protected long` | `timestamp` Time the snapshot was created
    `protected int` | `totalCalendarItemsCount` Total number of Calendar items in the snapshot
    `protected int` | `warningArraySize` Warning array size
    `protected java.util.List<CalItemWarning>` | `warnings` Warning array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalUpdatedSnapshot()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getErrorArraySize()` Gets the errorArraySize value for this CalUpdatedSnapshot.
    `java.util.List<CalItemError>` | `getErrors()` Gets the errors value for this CalUpdatedSnapshot.
    `int` | `getIndexArraySize()` Gets the indexArraySize value for this CalUpdatedSnapshot.
    `java.util.List<java.lang.Integer>` | `getIndexes()` Gets the indexes value for this CalUpdatedSnapshot.
    `java.lang.String` | `getSnapshotId()` Gets the snapshotId value for this CalUpdatedSnapshot.
    `long` | `getTimestamp()` Gets the timestamp value for this CalUpdatedSnapshot.
    `int` | `getTotalCalendarItemsCount()` Gets the totalCalendarItemsCount value for this CalUpdatedSnapshot.
    `int` | `getWarningArraySize()` Gets the warningArraySize value for this CalUpdatedSnapshot.
    `java.util.List<CalItemWarning>` | `getWarnings()` Gets the warnings value for this CalUpdatedSnapshot.
    `int` | `hashCode()`
    `void` | `setErrorArraySize(int errorArraySize)` Sets the errorArraySize value for this CalUpdatedSnapshot.
    `void` | `setErrors(java.util.List<CalItemError> errors)` Sets the errors value for this CalUpdatedSnapshot.
    `void` | `setIndexArraySize(int indexArraySize)` Sets the indexArraySize value for this CalUpdatedSnapshot.
    `void` | `setIndexes(java.util.List<java.lang.Integer> indexes)` Sets the indexes value for this CalUpdatedSnapshot.
    `void` | `setSnapshotId(java.lang.String snapshotId)` Sets the snapshotId value for this CalUpdatedSnapshot.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CalUpdatedSnapshot.
    `void` | `setTotalCalendarItemsCount(int totalCalendarItemsCount)` Sets the totalCalendarItemsCount value for this CalUpdatedSnapshot.
    `void` | `setWarningArraySize(int warningArraySize)` Sets the warningArraySize value for this CalUpdatedSnapshot.
    `void` | `setWarnings(java.util.List<CalItemWarning> warnings)` Sets the warnings value for this CalUpdatedSnapshot.
    `java.lang.String` | `toString()`
    `CalUpdatedSnapshot` | `withErrorArraySize(int value)`
    `CalUpdatedSnapshot` | `withErrors(CalItemError... values)`
    `CalUpdatedSnapshot` | `withErrors(java.util.Collection<CalItemError> values)`
    `CalUpdatedSnapshot` | `withIndexArraySize(int value)`
    `CalUpdatedSnapshot` | `withIndexes(java.util.Collection<java.lang.Integer> values)`
    `CalUpdatedSnapshot` | `withIndexes(java.lang.Integer... values)`
    `CalUpdatedSnapshot` | `withSnapshotId(java.lang.String value)`
    `CalUpdatedSnapshot` | `withTimestamp(long value)`
    `CalUpdatedSnapshot` | `withTotalCalendarItemsCount(int value)`
    `CalUpdatedSnapshot` | `withWarningArraySize(int value)`
    `CalUpdatedSnapshot` | `withWarnings(CalItemWarning... values)`
    `CalUpdatedSnapshot` | `withWarnings(java.util.Collection<CalItemWarning> values)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### snapshotId

          protected java.lang.String snapshotId

      Snapshot ID

    - #### totalCalendarItemsCount

          protected int totalCalendarItemsCount

      Total number of Calendar items in the snapshot

    - #### timestamp

          protected long timestamp

      Time the snapshot was created

    - #### errorArraySize

          protected int errorArraySize

      Error array size

    - #### errors

          protected java.util.List<CalItemError> errors

      Errors array

    - #### warningArraySize

          protected int warningArraySize

      Warning array size

    - #### warnings

          protected java.util.List<CalItemWarning> warnings

      Warning array

    - #### indexArraySize

          protected int indexArraySize

      Index array size

    - #### indexes

          protected java.util.List<java.lang.Integer> indexes

      Indexes array of new/changed Calendar items in the snapshot

  - ### Constructor Detail

    - #### CalUpdatedSnapshot

          public CalUpdatedSnapshot()

  - ### Method Detail

    - #### getSnapshotId

          public java.lang.String getSnapshotId()

      Gets the snapshotId value for this CalUpdatedSnapshot.
      Returns:
        snapshotId

    - #### setSnapshotId

          public void setSnapshotId(java.lang.String snapshotId)

      Sets the snapshotId value for this CalUpdatedSnapshot.
      Parameters:
        `snapshotId` -

    - #### getTotalCalendarItemsCount

          public int getTotalCalendarItemsCount()

      Gets the totalCalendarItemsCount value for this CalUpdatedSnapshot.
      Returns:
        totalCalendarItemsCount

    - #### setTotalCalendarItemsCount

          public void setTotalCalendarItemsCount(int totalCalendarItemsCount)

      Sets the totalCalendarItemsCount value for this CalUpdatedSnapshot.
      Parameters:
        `totalCalendarItemsCount` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CalUpdatedSnapshot.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CalUpdatedSnapshot.
      Parameters:
        `timestamp` -

    - #### getErrorArraySize

          public int getErrorArraySize()

      Gets the errorArraySize value for this CalUpdatedSnapshot.
      Returns:
        errorArraySize

    - #### setErrorArraySize

          public void setErrorArraySize(int errorArraySize)

      Sets the errorArraySize value for this CalUpdatedSnapshot.
      Parameters:
        `errorArraySize` -

    - #### getErrors

          public java.util.List<CalItemError> getErrors()

      Gets the errors value for this CalUpdatedSnapshot.
      Returns:
        errors

    - #### setErrors

          public void setErrors(java.util.List<CalItemError> errors)

      Sets the errors value for this CalUpdatedSnapshot.
      Parameters:
        `errors` -

    - #### getIndexArraySize

          public int getIndexArraySize()

      Gets the indexArraySize value for this CalUpdatedSnapshot.
      Returns:
        indexArraySize

    - #### setIndexArraySize

          public void setIndexArraySize(int indexArraySize)

      Sets the indexArraySize value for this CalUpdatedSnapshot.
      Parameters:
        `indexArraySize` -

    - #### getIndexes

          public java.util.List<java.lang.Integer> getIndexes()

      Gets the indexes value for this CalUpdatedSnapshot.
      Returns:
        indexes

    - #### setIndexes

          public void setIndexes(java.util.List<java.lang.Integer> indexes)

      Sets the indexes value for this CalUpdatedSnapshot.
      Parameters:
        `indexes` -

    - #### getWarningArraySize

          public int getWarningArraySize()

      Gets the warningArraySize value for this CalUpdatedSnapshot.
      Returns:
        warningArraySize

    - #### setWarningArraySize

          public void setWarningArraySize(int warningArraySize)

      Sets the warningArraySize value for this CalUpdatedSnapshot.
      Parameters:
        `warningArraySize` -

    - #### getWarnings

          public java.util.List<CalItemWarning> getWarnings()

      Gets the warnings value for this CalUpdatedSnapshot.
      Returns:
        warnings

    - #### setWarnings

          public void setWarnings(java.util.List<CalItemWarning> warnings)

      Sets the warnings value for this CalUpdatedSnapshot.
      Parameters:
        `warnings` -

    - #### withErrors

          public CalUpdatedSnapshot withErrors(java.util.Collection<CalItemError> values)

    - #### withErrors

          public CalUpdatedSnapshot withErrors(CalItemError... values)

    - #### withErrorArraySize

          public CalUpdatedSnapshot withErrorArraySize(int value)

    - #### withWarnings

          public CalUpdatedSnapshot withWarnings(java.util.Collection<CalItemWarning> values)

    - #### withWarnings

          public CalUpdatedSnapshot withWarnings(CalItemWarning... values)

    - #### withWarningArraySize

          public CalUpdatedSnapshot withWarningArraySize(int value)

    - #### withIndexes

          public CalUpdatedSnapshot withIndexes(java.util.Collection<java.lang.Integer> values)

    - #### withIndexes

          public CalUpdatedSnapshot withIndexes(java.lang.Integer... values)

    - #### withIndexArraySize

          public CalUpdatedSnapshot withIndexArraySize(int value)

    - #### withTotalCalendarItemsCount

          public CalUpdatedSnapshot withTotalCalendarItemsCount(int value)

    - #### withSnapshotId

          public CalUpdatedSnapshot withSnapshotId(java.lang.String value)

    - #### withTimestamp

          public CalUpdatedSnapshot withTimestamp(long value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.